aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorRoss Smith <ross-p-smith@users.noreply.github.com>2023-01-30 22:29:13 +0300
committerGitHub <noreply@github.com>2023-01-30 22:29:13 +0300
commit7763e0b7db6a16f2efececb6ffa9bd917a9eb5de (patch)
tree1a31f1916744b6e40d9a741838aa29a584f666f8 /test
parentfbdc4556d519512736a8e2abfb3e03fcb2c9e0c7 (diff)
Install PowerShell Modules (#427)feature_powershell_1.1.0
* InstallBicep * Add test for InstallBicep * Install pwsh Modules * Script rename * Add -Command to test * Check version * Install the module for all users * Adding terminating lines to scripts * Update src/powershell/install.sh Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> * Update src/powershell/install.sh Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> * Removed comments in Readme * Remove Bicep from PowerShell install * Increased version number * Update Minor version rather than patch --------- Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com>
Diffstat (limited to 'test')
-rw-r--r--test/powershell/install_modules.sh13
-rw-r--r--test/powershell/scenarios.json10
2 files changed, 23 insertions, 0 deletions
diff --git a/test/powershell/install_modules.sh b/test/powershell/install_modules.sh
new file mode 100644
index 0000000..0bb0172
--- /dev/null
+++ b/test/powershell/install_modules.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Import test library for `check` command
+source dev-container-features-test-lib
+
+# Extension-specific tests
+check "az.resources" pwsh -Command "(Get-Module -ListAvailable -Name Az.Resources).Version.ToString()"
+check "az.storage" pwsh -Command "(Get-Module -ListAvailable -Name Az.Storage).Version.ToString()"
+
+# Report result
+reportResults
diff --git a/test/powershell/scenarios.json b/test/powershell/scenarios.json
new file mode 100644
index 0000000..8ced964
--- /dev/null
+++ b/test/powershell/scenarios.json
@@ -0,0 +1,10 @@
+{
+ "install_modules": {
+ "image": "mcr.microsoft.com/devcontainers/base:jammy",
+ "features": {
+ "powershell": {
+ "modules": "az.resources, az.storage"
+ }
+ }
+ }
+}